Bug 204119 - a2ps -P {printer} -2 {textfile} creates a file instead of printing
Summary: a2ps -P {printer} -2 {textfile} creates a file instead of printing
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: a2ps   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC6Update 212552
TreeView+ depends on / blocked
 
Reported: 2006-08-25 18:20 UTC by Nalin Dahyabhai
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 4.13b-57.fc6.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 10:27:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nalin Dahyabhai 2006-08-25 18:20:23 UTC
Description of problem:
When I run a2ps with the -P and -2 options, instead of sending the output to the
printer given as the argument to the -P flag, a2ps creates a file.

Version-Release number of selected component (if applicable):
4.13b-53

How reproducible:
Always

Steps to Reproduce:
1. echo "foo" > foo.txt
2. rm -f hplj2
3. a2ps -P hplj2 -2 foo.txt
  
Actual results:
You get a new file named "hplj2", which contains the generated postscript.

Expected results:
A printout.

Comment 1 Tom Horsley 2006-10-26 20:49:26 UTC
This problem exists in the just released Fedora Core 6 as well and
also affects the -d option (which previously sent to the default printer).
Instead of going to default printer, it goes to stdout.

Comment 2 Tim Waugh 2006-10-27 12:42:11 UTC
Build requires cups.

Comment 3 Fedora Update System 2006-10-30 21:37:20 UTC
Fixed in update: a2ps-4.13b-57.fc6.3


Note You need to log in before you can comment on or make changes to this bug.